package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.AllArgsConstructor;

/**
 * 盲票销售渠道类型
 *
 * @author Cup
 * @date 2022/5/6
 */
public enum TicketBoxSaleChannelTypeEnum implements IEnum<Integer> {

    ALL(1, "所有渠道"),
    PART(2, "部分渠道");

    private int value;
    private final String desc;

    TicketBoxSaleChannelTypeEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }
}
